=== debian/changelog ===
zlmdb (22.1.2-1) unstable; urgency=medium

  * Correct copyright year according to ftpmaster
  * New upstream version 22.1.2
  * Keep flatbuffers out of the package (Closes: #1005329)

 -- Bastian Germann <bage@debian.org>  Fri, 11 Feb 2022 13:49:21 +0100

zlmdb (21.1.1-1) unstable; urgency=medium

  * Initial release (Closes: #1002911)

 -- Bastian Germann <bage@debian.org>  Fri, 31 Dec 2021 17:08:29 +0100
