=== debian/control ===
Source: zlmdb
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Bastian Germann <bage@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-setuptools,
 python3-all:any,
 python3-cbor2,
 python3-cffi,
 python3-click,
 python3-flatbuffers,
 python3-lmdb,
 python3-nacl,
 python3-numpy,
 python3-pytest-runner,
 python3-txaio,
 python3-yaml
Standards-Version: 4.6.0
Homepage: https://github.com/crossbario/zlmdb
Vcs-Browser: https://salsa.debian.org/python-team/packages/zlmdb
Vcs-Git: https://salsa.debian.org/python-team/packages/zlmdb.git
Rules-Requires-Root: no

Package: python3-zlmdb
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Object-relational in-memory database layer based on LMDB
 This object-relational in-memory database layer is based on LMDB.
 It is highly performant, supports multiple serializers,
 Apache Arrow ex-/import, native Numpy arrays, and Pandas data frames.
 ZLMDB features automatic indexes.
 .
 This package installs the library for Python 3.
