## zlmdb 22.3.1

=== debian/changelog ===
zlmdb (22.3.1-1) unstable; urgency=medium

  * New upstream version 22.3.1

 -- Bastian Germann <bage@debian.org>  Mon, 28 Mar 2022 15:15:08 +0200

zlmdb (22.2.1-1) unstable; urgency=medium

  * New upstream version 22.2.1

 -- Bastian Germann <bage@debian.org>  Sun, 27 Feb 2022 13:28:33 +0100
