## zlmdb 22.4.1

=== debian/changelog ===
zlmdb (22.4.1-1) unstable; urgency=medium

  * New upstream version 22.4.1

 -- Bastian Germann <bage@debian.org>  Sat, 07 May 2022 11:07:02 +0200
