## zlmdb 22.5.1

=== debian/changelog ===
zlmdb (22.5.1-1) unstable; urgency=medium

  * New upstream version 22.5.1
  * d/copyright: Update for new version

 -- Bastian Germann <bage@debian.org>  Sun, 05 Jun 2022 00:02:16 +0200
