=== debian/changelog ===
zlmdb (22.6.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 31 Oct 2022 17:59:28 +0000

zlmdb (22.6.1-2) unstable; urgency=medium

  * Patch: Make sure PyYAML 6 can be used (Closes: #1022089)

 -- Bastian Germann <bage@debian.org>  Thu, 27 Oct 2022 20:57:56 +0200

zlmdb (22.6.1-1) unstable; urgency=medium

  * New upstream version 22.6.1

 -- Bastian Germann <bage@debian.org>  Mon, 11 Jul 2022 13:11:43 +0200
