=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  python3-pytest-runner,
  python3-txaio,
  python3-yaml
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/crossbario/zlmdb
 Vcs-Browser: https://salsa.debian.org/python-team/packages/zlmdb
 Vcs-Git: https://salsa.debian.org/python-team/packages/zlmdb.git
