=== tests/Makefile ===
generate:
	~/scm/3rdparty/flatbuffers/flatc --python -o _gen user.fbs
