=== debian/changelog ===
zlmdb (23.1.1-1) unstable; urgency=medium

  * Team upload
  * Drop Bastian from Uploaders

  [ Marcos Souza ]
  * New upstream version 23.1.1
  * Drop patch already applied by upstream
    - Make-sure-PyYAML-6-can-be-used.patch
  * d/copyright: Update copyright

 -- Marcos Souza <marcosfas.dev@gmail.com>  Sun, 22 Jun 2025 01:22:33 -0300
