=== debian/watch ===
version=4

https://github.com/crossbario/zlmdb/tags (?:.*?/)?v(\d[\d.]*)\.tar\.gz
